zenilib: SDL_KeyboardEvent Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
SDL_KeyboardEvent Struct Reference

Keyboard button event structure (event.key.*) More...

`#include <SDL_events.h>`

## Public Attributes

SDL_Keysym | keysym
Uint8 | padding2
Uint8 | padding3
Uint8 | repeat
Uint8 | state
Uint32 | timestamp
Uint32 | type
Uint32 | windowID

## Detailed Description

Keyboard button event structure (event.key.*)

Definition at line 176 of file SDL_events.h.

## Member Data Documentation

SDL_Keysym SDL_KeyboardEvent::keysym

The key that was pressed or released

Definition at line 185 of file SDL_events.h.

Referenced by Zeni::Gamestate_II::on_event(), Zeni::Game::on_event(), Zeni::Widget::on_event(), Zeni::Popup_State::on_key(), Zeni::Gamestate_Base::on_key(), Zeni::Game::run(), SDLTest_CommonEvent(), and SDLTest_PrintEvent().

Uint8 SDL_KeyboardEvent::padding2

Definition at line 183 of file SDL_events.h.

Uint8 SDL_KeyboardEvent::padding3

Definition at line 184 of file SDL_events.h.

Uint8 SDL_KeyboardEvent::repeat

Non-zero if this is a key repeat

Definition at line 182 of file SDL_events.h.

Uint8 SDL_KeyboardEvent::state

SDL_PRESSED or SDL_RELEASED

Definition at line 181 of file SDL_events.h.

Referenced by Zeni::Popup_State::on_key(), Zeni::Gamestate_Base::on_key(), and Zeni::Game::run().

Uint32 SDL_KeyboardEvent::timestamp

Definition at line 179 of file SDL_events.h.

Uint32 SDL_KeyboardEvent::type

SDL_KEYDOWN or SDL_KEYUP

Definition at line 178 of file SDL_events.h.

Referenced by Zeni::Widget::on_event().

Uint32 SDL_KeyboardEvent::windowID

The window with keyboard focus, if any

Definition at line 180 of file SDL_events.h.

Referenced by SDLTest_CommonEvent(), and SDLTest_PrintEvent().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/sdl/SDL/SDL_events.h